> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Sleep Cycles

> Calculate optimal sleep/wake times based on 90-minute sleep cycles.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/health/sleep
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/health/sleep:
    get:
      tags:
        - Health Utilities
      summary: Sleep Cycles
      description: Calculate optimal sleep/wake times based on 90-minute sleep cycles.
      operationId: sleep_cycles_v1_health_sleep_get
      parameters:
        - name: wake_time
          in: query
          required: false
          schema:
            type: string
            description: Desired wake time (HH:MM)
            title: Wake Time
          description: Desired wake time (HH:MM)
        - name: sleep_time
          in: query
          required: false
          schema:
            type: string
            description: Desired sleep time (HH:MM)
            title: Sleep Time
          description: Desired sleep time (HH:MM)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````